%define module_version 1.291
%define module_name Class-AutoDB
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(B/Deparse.pm) perl(Carp.pm) perl(Class/AutoClass.pm) perl(Class/Singleton.pm) perl(Config.pm) perl(Cwd.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Data/Rmap.pm) perl(Exporter.pm) perl(ExtUtils/CBuilder.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(FreezeThaw.pm) perl(Getopt/Long.pm) perl(Hash/AutoHash.pm) perl(Hash/AutoHash/Args.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Build/Compat.pm) perl(SDBM_File.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(TAP/Formatter/Console.pm) perl(TAP/Harness.pm) perl(TAP/Parser.pm) perl(TAP/Parser/Aggregator.pm) perl(Test/CheckManifest.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Content.pm) perl(Text/Abbrev.pm) perl(Tie/ToObject.pm) perl(XSLoader.pm) perl(YAML.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.291
Release: alt7
Summary: Almost automatic object persistence coexisting with human-engineered database
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NA/NATG/%module_name-%module_version.tar.gz

%description
%summary

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README docs
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.291-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.291-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.291-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.291-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.291-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.291-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.291-alt2.1
- rebuild with perl 5.22

* Sun Dec 21 2014 Cronbuild Service <cronbuild@altlinux.org> 1.291-alt2
- rebuild to get rid of unmets

* Mon Dec 23 2013 Igor Vlasenko <viy@altlinux.ru> 1.291-alt1
- regenerated from template by package builder

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.28-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.27-alt1
- initial import by package builder

